Advance onboarding journey
PUT
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidapplication/json- body
expected_version*Expected VersionRange
0 <= valueskipped?SkippedDefault
falsestage_state?target_stage*Target StageSuccessful Response
application/json- response
blockers*array<>completed_at*|nullcurrent_stage*Current Stageskipped_stages*array<string>stage_state*stages*array<string>updated_at*Updated AtFormat
date-timeuser_id*User IdFormat
uuidversion*Versionworkspace_id*Workspace IdFormat
uuidcurl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/onboarding/journey' \ -H 'Content-Type: application/json' \ -d '{ "expected_version": 0, "target_stage": "string"}'Example Response
{ "blockers": [ {} ], "completed_at": "2019-08-24T14:15:22Z", "current_stage": "string", "skipped_stages": [ "string" ], "stage_state": {}, "stages": [ "string" ], "updated_at": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "version": 0, "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}